/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:24:57.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.CoursePaperInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.CoursePaperQuery;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface CoursePaperService {

    /**
     * 获取课程试卷列表
     */
    List<CoursePaperInfo> getCoursePaperList(CoursePaperQuery query);

    /**
     * 同步更新课程名称信息
     */
    void syncCourseNameByCourseId(Long courseId, String courseName);

    /**
     * 下载考试结构
     */
    String downloadPaperStructure(Long examId, Long paperId);

    /**
     * 校验考试结构
     */
    void checkPaperStructure(Long examId, Long paperId);

}